## org.apache.poi.hdf.extractor
Class TextPiece

    java.lang.Object
      org.apache.poi.hdf.extractor.util.PropertyNode
          org.apache.poi.hdf.extractor.TextPiece

All Implemented Interfaces:
  java.lang.Comparable

public class TextPiece
extends PropertyNode
implements java.lang.Comparable

Comment me

Author:
  Ryan Ackley

Constructor Summary
`TextPiece(int start, int length, boolean unicode)`

Method Summary
`int` `compareTo(java.lang.Object obj)`
`boolean` `usesUnicode()`

Methods inherited from class org.apache.poi.hdf.extractor.util.PropertyNode
`getEnd, getGrpprl, getStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextPiece

    public TextPiece(int start,
                     int length,
                     boolean unicode)

Method Detail

### usesUnicode

    public boolean usesUnicode()

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Overrides:
    `compareTo` in class `PropertyNode`

Copyright © 2003 Apache Software Foundation.